import EntityFormTemplate from 'model/EntityFormTemplate';

const OPENSTACK_FLOATING_IP_TEMPLATE: EntityFormTemplate[] = [
  {
    cloudServiceProvider: 'openstack',
    entityName: 'floating_ip',
    actionType: 'create',
    entityRecords: [
      {
        type: 'panel',
        panelName: 'Floating IP',
        keyValueRecords: [
          { type: 'default', labelName: 'Name', name: 'name', defaultValue: '' },
          { type: 'select', labelName: 'Floating network ID', name: 'floating_network_id',
            url: '/cloud_dashboard/openstack/{cloud_context}/floating_network_ids',
            defaultValue: '', required: true
          },
        ]
      }
    ]
  },
  {
    cloudServiceProvider: 'openstack',
    entityName: 'floating_ip',
    actionType: 'edit',
    entityRecords: [
      {
        type: 'panel',
        panelName: 'Floating IP',
        keyValueRecords: [
          { type: 'default', labelName: 'Name', name: 'name', defaultValue: '' },
          { type: 'default', labelName: 'Type', name: 'elastic_ip_type', defaultValue: '', readOnly: true },
          { type: 'default', labelName: 'Floating IP', name: 'public_ip', defaultValue: '', readOnly: true },
          { type: 'default', labelName: 'Private IP Address', name: 'private_ip_address', defaultValue: '', readOnly: true },
          { type: 'datetime', labelName: 'Created', name: 'created', defaultValue: 0, readOnly: true },
        ]
      },
      {
        type: 'panel',
        panelName: 'Assign',
        keyValueRecords: [
          {
            type: 'join', labelName: 'Instance ID', name: 'instance_id', info: {
              entityTypeId: 'openstack_instance',
              keyColumn: 'name',
            }, defaultValue: '', readOnly: true
          },
          {
            type: 'join', labelName: 'Network interface ID', name: 'network_interface_id', info: {
              entityTypeId: 'openstack_network_interface',
              keyColumn: 'name',
            }, defaultValue: '', readOnly: true
          },
          { type: 'default', labelName: 'Allocation ID', name: 'allocation_id', defaultValue: '', readOnly: true },
          { type: 'default', labelName: 'Association ID', name: 'association_id', defaultValue: '', readOnly: true },
          { type: 'default', labelName: 'Network interface owner', name: 'network_interface_owner', defaultValue: '', readOnly: true },
        ]
      }
    ]
  },
  {
    cloudServiceProvider: 'openstack',
    entityName: 'floating_ip',
    actionType: 'delete',
    entityRecords: [
      {
        type: 'label',
        text: 'Are you sure you want to delete the {{entityName}} {{name}}?'
      },
    ],
    submitButtonLabel: 'Delete'
  }
]

export default OPENSTACK_FLOATING_IP_TEMPLATE;
