import CloudServiceProvider from 'model/CloudServiceProvider';
import LaunchTemplateTable from 'organisms/LaunchTemplateTable';
import SideBar from 'organisms/SideBar';
import { Col, Container, Form, Row } from 'react-bootstrap';
import { useParams } from 'react-router-dom';

const CloudServerTemplatePage = () => {
  const params: {
    cloudServiceProvider: string,
    cloudContext?: string,
  } = useParams();

  return <>
    <SideBar />
    <Container fluid className="px-0">
      <Row className="mx-0">
        <Col>
          <Form>
            <LaunchTemplateTable cloudContext={{
              cloudServiceProvider: params.cloudServiceProvider as CloudServiceProvider,
              name: params.cloudContext === undefined ? 'ALL' : params.cloudContext,
              labelName: ''
            }} />
          </Form>
        </Col>
      </Row>
    </Container>
  </>;
}

export default CloudServerTemplatePage;
