@minimal @ci_job
Feature: Create, read, update and delete a Network interfaces for OpenStack as "Authenticated User"

  @api @javascript
  Scenario: Create a Network interface
    Given I am logged in as user "{{ drupal_user_name }}"
    When I visit "/clouds/openstack/{{ cloud_context }}/network_interface/add"
    And I should see the heading "Add OpenStack network interface"
    And I enter "{{ network_interface_name }}" for "Name"
    And I press "Save"
    And I wait for AJAX to finish
    Then the url should match "/clouds/openstack/{{ cloud_context }}/network_interface"
    And I should see the success message "has been created"
    And I should see neither error nor warning messages
    And I should see "{{ network_interface_name }}"

  @api @javascript
  Scenario: read the Network interface
    Given I am logged in as user "{{ drupal_user_name }}"
    When I visit "/clouds/openstack/{{ cloud_context }}/network_interface"
    And I click "Refresh"
    And I should see the link "{{ network_interface_name }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ network_interface_name }}"
    Then the url should match "/clouds/openstack/{{ cloud_context }}/network_interface/"
    And I should see "{{ network_interface_name }}"
    And I should see "{{ status }}"
    And I should see neither error nor warning messages

  @api @javascript
  Scenario: update the Network interface
    Given I am logged in as user "{{ drupal_user_name }}"
    When I visit "/clouds/openstack/{{ cloud_context }}/network_interface"
    And I click "Refresh"
    And I should see the link "{{ network_interface_name }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ network_interface_name }}"
    Then the url should match "/clouds/openstack/{{ cloud_context }}/network_interface/"
    And I click "Edit"
    Then the url should match "/edit"
    And I enter "{{ network_interface_description }}" for "Description"
    And I press "Save"
    And I should see the success message "has been update"
    And I should see neither error nor warning messages
    And I wait for AJAX to finish
    And I should see "{{ network_interface_name }}"

  @api @javascript
  Scenario: delete the Network interface
    Given I am logged in as user "{{ drupal_user_name }}"
    When I visit "/clouds/openstack/{{ cloud_context }}/network_interface"
    And I click "Refresh"
    And I should see the link "{{ network_interface_name }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ network_interface_name }}"
    Then the url should match "/clouds/openstack/{{ cloud_context }}/network_interface/"
    And I click "Delete"
    Then the url should match "/delete"
    And I press "Delete"
    Then I should be on "/clouds/openstack/{{ cloud_context }}/network_interface"
    And I should see the success message "has been deleted"
    And I should see neither error nor warning messages
    And I click "Refresh"
    And I should not see the link "{{ network_interface_name }}"
