<?php

namespace Drupal\cloud\Service;

/**
 * Provides CloudOrchestratorManagerInterface interface.
 */
interface CloudOrchestratorManagerInterface {

  /**
   * Deploy.
   *
   * @param string $cloud_context
   *   The target cloud service provider.
   * @param string $manifest
   *   The manifest content to deploy orchestrator.
   * @param array $parameters
   *   The parameters.
   *
   * @return array
   *   Cloud resources created.
   */
  public function deploy(string $cloud_context, string $manifest, array $parameters): array;

  /**
   * Delete resources related to the deployment.
   *
   * @param array $entities
   *   The entities related to the deployment.
   */
  public function undeploy(array $entities): void;

}
